/*
Copyright Bob Bartsch, 2021

This code is governed by the
Creative Commons Attribution–NonCommercial License
https://creativecommons.org/licenses/by-nc/3.0/

(Meaning: credit me if you modify and/or redistribute
this code. Also, you may not sell this code.)
*/

#loader preinit

#modloaded thermalfoundation

mods.nuclearcraft.Registration.registerFissionSink("pyro", 290, "five cells");
mods.nuclearcraft.Registration.registerFissionSink("aero", 90, "one liquid_nitrogen sink || one liquid_helium sink");
mods.nuclearcraft.Registration.registerFissionSink("petro", 170, "four moderators");
mods.nuclearcraft.Registration.registerFissionSink("nickel", 120, "two axial obsidian sinks");
mods.nuclearcraft.Registration.registerFissionSink("platinum", 145, "four iron sinks && exactly zero casing");
mods.nuclearcraft.Registration.registerFissionSink("iridium", 340, "six cells");
mods.nuclearcraft.Registration.registerFissionSink("signalum", 250, "one redstone sink && one ferroboron sink");
mods.nuclearcraft.Registration.registerFissionSink("lumium", 175, "four glowstone sinks");
mods.nuclearcraft.Registration.registerFissionSink("mana_dust", 80, "exactly three casing");
mods.nuclearcraft.Registration.registerFissionSink("mithril", 120, "two axial enderium sinks && exactly zero moderator");
mods.nuclearcraft.Registration.registerFissionSink("invar", 105, "one lumium sink && one water sink");
mods.nuclearcraft.Registration.registerFissionSink("constantan", 120, "one copper sink && one nickel sink");
mods.nuclearcraft.Registration.registerFissionSink("bronze", 90, "three copper sinks && one tin sink");
mods.nuclearcraft.Registration.registerFissionSink("electrum", 195, "two axial silver sinks");


mods.nuclearcraft.Registration.registerFissionHeater("pyro", "pyro_nak", 1, "pyro_nak_hot", 1, 290, "five cells");
mods.nuclearcraft.Registration.registerFissionHeater("aero", "aero_nak", 1, "aero_nak_hot", 1, 90, "one liquid_nitrogen heater || one liquid_helium heater");
mods.nuclearcraft.Registration.registerFissionHeater("petro", "petro_nak", 1, "petro_nak_hot", 1, 170, "four moderators");
mods.nuclearcraft.Registration.registerFissionHeater("nickel", "nickel_nak", 1, "nickel_nak_hot", 1, 120, "two axial obsidian heaters");
mods.nuclearcraft.Registration.registerFissionHeater("platinum", "platinum_nak", 1, "platinum_nak_hot", 1, 145, "four iron heaters && exactly zero casing");
mods.nuclearcraft.Registration.registerFissionHeater("iridium", "iridium_nak", 1, "iridium_nak_hot", 1, 340, "six cells");
mods.nuclearcraft.Registration.registerFissionHeater("signalum", "signalum_nak", 1, "signalum_nak_hot", 1, 250, "one redstone heater && one ferroboron heater");
mods.nuclearcraft.Registration.registerFissionHeater("lumium", "lumium_nak", 1, "lumium_nak_hot", 1, 175, "four glowstone heaters");
mods.nuclearcraft.Registration.registerFissionHeater("mana_dust", "mana_dust_nak", 1, "mana_dust_nak_hot", 1, 80, "exactly three casing");
mods.nuclearcraft.Registration.registerFissionHeater("mithril", "mithril_nak", 1, "mithril_nak_hot", 1, 120, "two axial enderium heaters && exactly zero moderator");
mods.nuclearcraft.Registration.registerFissionHeater("invar", "invar_nak", 1, "invar_nak_hot", 1, 105, "one lumium heater && one water heater");
mods.nuclearcraft.Registration.registerFissionHeater("constantan", "constantan_nak", 1, "constantan_nak_hot", 1, 120, "one copper heater && one nickel heater");
mods.nuclearcraft.Registration.registerFissionHeater("bronze", "bronze_nak", 1, "bronze_nak_hot", 1, 90, "three copper heaters && one tin heater");
mods.nuclearcraft.Registration.registerFissionHeater("electrum", "electrum_nak", 1, "electrum_nak_hot", 1, 195, "two axial silver heaters");