/*
Copyright Bob Bartsch, 2021

This code is governed by the
Creative Commons Attribution–NonCommercial License
https://creativecommons.org/licenses/by-nc/3.0/

(Meaning: credit me if you modify and/or redistribute
this code. Also, you may not sell this code.)
*/
#loader preinit

mods.nuclearcraft.Registration.registerFissionSink("steel", 125, "three iron sinks");
mods.nuclearcraft.Registration.registerFissionSink("ferroboron", 225, "one gold sink && two axial cells");
mods.nuclearcraft.Registration.registerFissionSink("tough_alloy", 120, "one villiaumite sink");
mods.nuclearcraft.Registration.registerFissionSink("limno2", 190, "two axial lithium sinks && one manganese sink");
mods.nuclearcraft.Registration.registerFissionSink("mgb2", 220, "one magnesium sink && one boron sink");
mods.nuclearcraft.Registration.registerFissionSink("boron_arsenide", 70, "one steel sink && three lead sinks");
mods.nuclearcraft.Registration.registerFissionSink("boron_nitride", 160, "one end_stone sink && one liquid_nitrogen sink");
mods.nuclearcraft.Registration.registerFissionSink("rhodochrosite", 175, "one emerald sink && one redstone sink && exactly zero casing");
mods.nuclearcraft.Registration.registerFissionSink("zirconium", 145, "two axial gold sinks");
mods.nuclearcraft.Registration.registerFissionSink("hard_carbon", 145, "one diamond sink && one moderator");
mods.nuclearcraft.Registration.registerFissionSink("extreme_alloy", 180, "one tough_alloy sink && one hard_carbon sink");
mods.nuclearcraft.Registration.registerFissionSink("thermoconducting_alloy", 240, "two axial extreme_alloy sinks");
mods.nuclearcraft.Registration.registerFissionSink("zircaloy", 175, "one zirconium sink && one casing");
mods.nuclearcraft.Registration.registerFissionSink("sic_sic_cmc", 110, "two axial quartz sinks");
mods.nuclearcraft.Registration.registerFissionSink("hsla", 215, "two reflectors && one diamond sink");
mods.nuclearcraft.Registration.registerFissionSink("smore", 563, "two axial liquid_helium sinks && two axial liquid_nitrogen sinks && two axial thermoconducting_alloy sinks");
mods.nuclearcraft.Registration.registerFissionSink("liquid_oxygen", 30, "one lead sink");
mods.nuclearcraft.Registration.registerFissionSink("corium", -5, "exactly zero casing");

mods.nuclearcraft.Registration.registerFissionSink("sea_lantern", 80, "three prismarine sinks");
mods.nuclearcraft.Registration.registerFissionSink("tnt", 40, "one shield");
mods.nuclearcraft.Registration.registerFissionSink("bone", 40, "one irradiator");
mods.nuclearcraft.Registration.registerFissionSink("milk", 60, "one bone sink");
mods.nuclearcraft.Registration.registerFissionSink("brick", 65, "one milk sink && one lead sink");
mods.nuclearcraft.Registration.registerFissionSink("lava", 75, "two axial irradiators");
mods.nuclearcraft.Registration.registerFissionSink("magma_slime", 40, "one lead sink && one gold sink");
mods.nuclearcraft.Registration.registerFissionSink("sponge", 70, "one irradiator && one shield");
mods.nuclearcraft.Registration.registerFissionSink("blue_ice", 55, "two shields");
mods.nuclearcraft.Registration.registerFissionSink("bismuth", 145, "one shield && exactly two iron sinks");
mods.nuclearcraft.Registration.registerFissionSink("glowshroom", 95, "two lava sinks");
mods.nuclearcraft.Registration.registerFissionSink("silicon", 70, "one shield && one moderator");
mods.nuclearcraft.Registration.registerFissionSink("sic", 135, "one silicon sink && one end_stone sink");


mods.nuclearcraft.Registration.registerFissionHeater("steel", "steel_nak", 1, "steel_nak_hot", 1, 125, "three iron heaters");
mods.nuclearcraft.Registration.registerFissionHeater("ferroboron", "ferroboron_nak", 1, "ferroboron_nak_hot", 1, 225, "one gold heater && two axial cells");
mods.nuclearcraft.Registration.registerFissionHeater("tough_alloy", "tough_alloy_nak", 1, "tough_alloy_nak_hot", 1, 120, "one villiaumite heater");
mods.nuclearcraft.Registration.registerFissionHeater("limno2", "limno2_nak", 1, "limno2_nak_hot", 1, 190, "two axial lithium heaters && one manganese heater");
mods.nuclearcraft.Registration.registerFissionHeater("mgb2", "mgb2_nak", 1, "mgb2_nak_hot", 1, 220, "one magnesium heater && one boron heater");
mods.nuclearcraft.Registration.registerFissionHeater("boron_arsenide", "boron_arsenide_nak", 1, "boron_arsenide_nak_hot", 1, 70, "one steel heater && three lead heaters");
mods.nuclearcraft.Registration.registerFissionHeater("boron_nitride", "boron_nitride_nak", 1, "boron_nitride_nak_hot", 1,160, "one end_stone heater && one liquid_nitrogen heater");
mods.nuclearcraft.Registration.registerFissionHeater("rhodochrosite", "rhodochrosite_nak", 1, "rhodochrosite_nak_hot", 1, 175, "one emerald heater && one redstone heater && exactly zero casing");
mods.nuclearcraft.Registration.registerFissionHeater("zirconium", "zirconium_nak", 1, "zirconium_nak_hot", 1, 145, "two axial gold heaters");
mods.nuclearcraft.Registration.registerFissionHeater("hard_carbon", "hard_carbon_nak", 1, "hard_carbon_nak_hot", 1, 145, "one diamond heater && one moderator");
mods.nuclearcraft.Registration.registerFissionHeater("extreme_alloy", "extreme_alloy_nak", 1, "extreme_alloy_nak_hot", 1, 180, "one tough_alloy heater && one hard_carbon heater");
mods.nuclearcraft.Registration.registerFissionHeater("thermoconducting_alloy", "thermoconducting_alloy_nak", 1, "thermoconducting_alloy_nak_hot", 1, 240, "two axial extreme_alloy heaters");
mods.nuclearcraft.Registration.registerFissionHeater("zircaloy", "zircaloy_nak", 1, "zircaloy_nak_hot", 1, 175, "one zirconium heater && one casing");
mods.nuclearcraft.Registration.registerFissionHeater("sic_sic_cmc", "sic_sic_cmc_nak", 1, "sic_sic_cmc_nak_hot", 1, 110, "two axial quartz heaters");
mods.nuclearcraft.Registration.registerFissionHeater("hsla", "hsla_nak", 1, "hsla_nak_hot", 1, 215, "two reflectors && one diamond heater");
mods.nuclearcraft.Registration.registerFissionHeater("smore", "smore_nak", 1, "smore_nak_hot", 1, 563, "two axial liquid_helium heaters && two axial liquid_nitrogen heaters && two axial thermoconducting_alloy heaters");
mods.nuclearcraft.Registration.registerFissionHeater("liquid_oxygen", "liquid_oxygen_nak", 1, "liquid_oxygen_nak_hot", 1, 30, "one lead heater");
mods.nuclearcraft.Registration.registerFissionHeater("corium", "corium_nak", 1, "corium_nak_hot", 1, -5, "exactly zero casing");

mods.nuclearcraft.Registration.registerFissionHeater("sea_lantern", "sea_lantern_nak", 1, "sea_lantern_nak_hot", 1, 80, "three prismarine heaters");
mods.nuclearcraft.Registration.registerFissionHeater("tnt", "tnt_nak", 1, "tnt_nak_hot", 1, 40, "one shield");
mods.nuclearcraft.Registration.registerFissionHeater("bone", "bone_nak", 1, "bone_nak_hot", 1, 40, "one irradiator");
mods.nuclearcraft.Registration.registerFissionHeater("milk", "milk_nak", 1, "milk_nak_hot", 1, 60, "one bone heater");
mods.nuclearcraft.Registration.registerFissionHeater("brick", "brick_nak", 1, "brick_nak_hot", 1, 65, "one milk heater && one lead heaters");
mods.nuclearcraft.Registration.registerFissionHeater("lava", "lava_nak", 1, "lava_nak_hot", 1, 75, "two axial irradiators");
mods.nuclearcraft.Registration.registerFissionHeater("magma_slime", "magma_slime_nak", 1, "magma_slime_nak_hot", 1, 40, "one lead heater && one gold heater");
mods.nuclearcraft.Registration.registerFissionHeater("sponge", "sponge_nak", 1, "sponge_nak_hot", 1, 70, "one irradiator && one shield");
mods.nuclearcraft.Registration.registerFissionHeater("blue_ice", "nak", 1, "nak_hot", 1, 55, "two shields");
mods.nuclearcraft.Registration.registerFissionHeater("bismuth", "bismuth_nak", 1, "bismuth_nak_hot", 1, 145, "one shield && exactly two iron heaters");
mods.nuclearcraft.Registration.registerFissionHeater("glowshroom", "glowshroom_nak", 1, "glowshroom_nak_hot", 1, 95, "two lava heaters");
mods.nuclearcraft.Registration.registerFissionHeater("silicon", "silicon_nak", 1, "silicon_nak_hot", 1, 70, "one shield && one moderator");
mods.nuclearcraft.Registration.registerFissionHeater("sic", "sic_nak", 1, "sic_nak_hot", 1, 135, "one silicon heater && one end_stone heater");



if(loadedMods has "appliedenergistics2"){
mods.nuclearcraft.Registration.registerFissionSink("certus", 80, "one quartz sink");
mods.nuclearcraft.Registration.registerFissionSink("fluix", 115, "one certus sink && one water sink");

mods.nuclearcraft.Registration.registerFissionHeater("certus", "certus_nak", 1, "certus_nak_hot", 1, 80, "one quartz heater");
mods.nuclearcraft.Registration.registerFissionHeater("fluix", "fluix_nak", 1, "fluix_nak_hot", 1, 115, "one certus sink && one standard heater");
}


if(loadedMods has "threng"){
mods.nuclearcraft.Registration.registerFissionSink("fluix_steel", 150, "one fluix sink && one steel sink");
mods.nuclearcraft.Registration.registerFissionHeater("fluix_steel", "fluix_steel_nak", 1, "fluix_steel_nak_hot", 1, 150, "one fluix heater && one steel heater");
}


if(loadedMods has "redstonearsenal"){
mods.nuclearcraft.Registration.registerFissionSink("fluxed_electrum", 160, "one redstone sink && one electrum sink");
mods.nuclearcraft.Registration.registerFissionSink("flux_crystal", 135, "one redstone sink && one gold sink");

mods.nuclearcraft.Registration.registerFissionHeater("fluxed_electrum", "fluxed_electrum_nak", 1, "fluxed_electrum_nak_hot", 1, 160, "one redstone heater && one electrum heater");
mods.nuclearcraft.Registration.registerFissionHeater("flux_crystal", "flux_crystal_nak", 1, "flux_crystal_nak_hot", 1, 135, "one redstone heater && one gold heater");
}